OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.SUN.TriangleList

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetSUNTriangleList :: MonadIO m => m Bool
- gl_SUN_triangle_list :: Bool
- pattern GL_R1UI_C3F_V3F_SUN :: GLenum
- pattern GL_R1UI_C4F_N3F_V3F_SUN :: GLenum
- pattern GL_R1UI_C4UB_V3F_SUN :: GLenum
- pattern GL_R1UI_N3F_V3F_SUN :: GLenum
- pattern GL_R1UI_T2F_C4F_N3F_V3F_SUN :: GLenum
- pattern GL_R1UI_T2F_N3F_V3F_SUN :: GLenum
- pattern GL_R1UI_T2F_V3F_SUN :: GLenum
- pattern GL_R1UI_V3F_SUN :: GLenum
- pattern GL_REPLACEMENT_CODE_ARRAY_POINTER_SUN :: GLenum
- pattern GL_REPLACEMENT_CODE_ARRAY_STRIDE_SUN :: GLenum
- pattern GL_REPLACEMENT_CODE_ARRAY_SUN :: GLenum
- pattern GL_REPLACEMENT_CODE_ARRAY_TYPE_SUN :: GLenum
- pattern GL_REPLACEMENT_CODE_SUN :: GLenum
- pattern GL_REPLACE_MIDDLE_SUN :: GLenum
- pattern GL_REPLACE_OLDEST_SUN :: GLenum
- pattern GL_RESTART_SUN :: GLenum
- pattern GL_TRIANGLE_LIST_SUN :: GLenum
- glReplacementCodePointerSUN :: MonadIO m => GLenum -> GLsizei -> Ptr (Ptr a) -> m ()
- glReplacementCodeubSUN :: MonadIO m => GLubyte -> m ()
- glReplacementCodeubvSUN :: MonadIO m => Ptr GLubyte -> m ()
- glReplacementCodeuiSUN :: MonadIO m => GLuint -> m ()
- glReplacementCodeuivSUN :: MonadIO m => Ptr GLuint -> m ()
- glReplacementCodeusSUN :: MonadIO m => GLushort -> m ()
- glReplacementCodeusvSUN :: MonadIO m => Ptr GLushort -> m ()

# Extension Support

glGetSUNTriangleList :: MonadIO m => m Bool Source #

Is the SUN_triangle_list extension supported?

gl_SUN_triangle_list :: Bool Source #

Is the SUN_triangle_list extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetSUNTriangleList` in those cases instead.

# Enums

pattern GL_R1UI_C3F_V3F_SUN :: GLenum Source #

pattern GL_R1UI_C4F_N3F_V3F_SUN :: GLenum Source #

pattern GL_R1UI_C4UB_V3F_SUN :: GLenum Source #

pattern GL_R1UI_N3F_V3F_SUN :: GLenum Source #

pattern GL_R1UI_T2F_C4F_N3F_V3F_SUN :: GLenum Source #

pattern GL_R1UI_T2F_N3F_V3F_SUN :: GLenum Source #

pattern GL_R1UI_T2F_V3F_SUN :: GLenum Source #

pattern GL_R1UI_V3F_SUN :: GLenum Source #

pattern GL_REPLACEMENT_CODE_ARRAY_POINTER_SUN :: GLenum Source #

pattern GL_REPLACEMENT_CODE_ARRAY_STRIDE_SUN :: GLenum Source #

pattern GL_REPLACEMENT_CODE_ARRAY_SUN :: GLenum Source #

pattern GL_REPLACEMENT_CODE_ARRAY_TYPE_SUN :: GLenum Source #

pattern GL_REPLACEMENT_CODE_SUN :: GLenum Source #

pattern GL_REPLACE_MIDDLE_SUN :: GLenum Source #

pattern GL_REPLACE_OLDEST_SUN :: GLenum Source #

pattern GL_RESTART_SUN :: GLenum Source #

pattern GL_TRIANGLE_LIST_SUN :: GLenum Source #

# Functions

glReplacementCodePointerSUN Source #

Arguments

:: MonadIO m |
=> GLenum | `type` of type ReplacementCodeTypeSUN.
-> GLsizei | `stride`.
-> Ptr (Ptr a) | `pointer` pointing to `COMPSIZE(type,stride)` elements of type `Ptr a`.
-> m () |

glReplacementCodeubSUN Source #

Arguments

:: MonadIO m |
=> GLubyte | `code`.
-> m () |

glReplacementCodeubvSUN Source #

Arguments

:: MonadIO m |
=> Ptr GLubyte | `code` pointing to `COMPSIZE()` elements of type `GLubyte`.
-> m () |

glReplacementCodeuiSUN Source #

Arguments

:: MonadIO m |
=> GLuint | `code`.
-> m () |

glReplacementCodeuivSUN Source #

Arguments

:: MonadIO m |
=> Ptr GLuint | `code` pointing to `COMPSIZE()` elements of type `GLuint`.
-> m () |

glReplacementCodeusSUN Source #

Arguments

:: MonadIO m |
=> GLushort | `code`.
-> m () |

glReplacementCodeusvSUN Source #

Arguments

:: MonadIO m |
=> Ptr GLushort | `code` pointing to `COMPSIZE()` elements of type `GLushort`.
-> m () |